List children of an entity in a hierarchy instance
Learn more about how to use the List children of an entity API to return a flat list of child objects for an entity in a hierarchy instance.
Use the List the children of an entity to retrieve all immediate child objects for a specified entity in a hierarchy instance. This operation requires the MDM.Data.Hierarchy permission with the READ privilege.
HTTP method and endpoint
Use the following HTTP method and endpoint path to submit the request:
GET https://<environment>.reltio.com/reltio/api/{tenantId}/hierarchies/{instanceId}/objects/{entityId}/children
Request headers
The following request headers must be included.
| Header | Value | Required |
|---|---|---|
Authorization | Bearer <token> | Yes |
Query parameters
The following table describes the query parameters and their values.
| Parameter | Type | Required | Description | Accepted values / Default |
|---|---|---|---|---|
date | String | No | Returns the hierarchy state for a specific date. Use ISO 8601 date format. | Example: 2025-10-10. Default: today |
Request body
This operation does not require a request body.
Example request
Use the following example to see how a complete request is structured with headers.
GET /{instanceId}/objects/{entityId}/children?date=2025-10-10
Authorization: Bearer <token>
Response fields
The following table describes the fields returned in the response body.
| Field | Type | Description |
|---|---|---|
entityId | String | The entity ID of the child object. |
entityType | String | The entity type of the child object. |
label | String | The label value of the child object. |
hasMoreChildren | Boolean | Indicates whether the child object has more children than are returned in the current view. |
hasManyParents | Boolean | Optional. Indicates whether the child object has multiple parents. Default: false. |
connectionId | String | The connection ID between the requested object and this child object. |
Example response
The following example shows the response body.
[
{
"entityId": "child1Id",
"entityType": "configuration/entityTypes/HCP",
"label": "Child 1",
"hasMoreChildren": true,
"connectionId": "objectToChild1Id"
},
{
"entityId": "child2Id",
"entityType": "configuration/entityTypes/HCP",
"label": "Child 2",
"hasMoreChildren": false,
"hasManyParents": true,
"connectionId": "objectToChild2Id"
},
{
"entityId": "child3Id",
"entityType": "configuration/entityTypes/HCP",
"label": "Child 3",
"hasMoreChildren": true,
"connectionId": "objectToChild3Id"
}
]